/*
 * Class ITERATION_CURSOR [BOOLEAN]
 */

#include "eif_macros.h"


#ifdef __cplusplus
extern "C" {
#endif

static const EIF_TYPE_INDEX egt_0_2015 [] = {0xFF01,914,0xFFFF};
static const EIF_TYPE_INDEX egt_1_2015 [] = {0xFF01,1551,2014,866,0xFFFF};
static const EIF_TYPE_INDEX egt_2_2015 [] = {0xFF01,2014,866,0xFFFF};
static const EIF_TYPE_INDEX egt_3_2015 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_4_2015 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_5_2015 [] = {0xFF01,2014,866,0xFFFF};
static const EIF_TYPE_INDEX egt_6_2015 [] = {0xFF01,2014,866,0xFFFF};
static const EIF_TYPE_INDEX egt_7_2015 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_8_2015 [] = {0xFF01,126,0xFFFF};
static const EIF_TYPE_INDEX egt_9_2015 [] = {0xFF01,914,0xFFFF};
static const EIF_TYPE_INDEX egt_10_2015 [] = {0xFF01,914,0xFFFF};
static const EIF_TYPE_INDEX egt_11_2015 [] = {0xFF01,29,0xFFFF};
static const EIF_TYPE_INDEX egt_12_2015 [] = {2014,866,0xFFFF};
static const EIF_TYPE_INDEX egt_13_2015 [] = {0xFF01,2014,866,0xFFFF};
static const EIF_TYPE_INDEX egt_14_2015 [] = {0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_15_2015 [] = {0xFFF8,1,0xFFFF};


static const struct desc_info desc_2015[] = {
	{EIF_GENERIC(NULL), 0xFFFFFFFF, 0xFFFFFFFF},
	{EIF_GENERIC(egt_0_2015), 0, 0xFFFFFFFF},
	{EIF_GENERIC(egt_1_2015), 1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 2, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 3, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 4, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 5, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 6, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 7, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 8, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 9, 0xFFFFFFFF},
	{EIF_GENERIC(egt_2_2015), 10, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 11, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 12, 0xFFFFFFFF},
	{EIF_GENERIC(egt_3_2015), 13, 0xFFFFFFFF},
	{EIF_GENERIC(egt_4_2015), 14, 0xFFFFFFFF},
	{EIF_GENERIC(egt_5_2015), 15, 0xFFFFFFFF},
	{EIF_GENERIC(egt_6_2015), 16, 0xFFFFFFFF},
	{EIF_GENERIC(egt_7_2015), 17, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 18, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 19, 0xFFFFFFFF},
	{EIF_GENERIC(egt_8_2015), 20, 0xFFFFFFFF},
	{EIF_GENERIC(egt_9_2015), 21, 0xFFFFFFFF},
	{EIF_GENERIC(egt_10_2015), 22, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 23, 0xFFFFFFFF},
	{EIF_GENERIC(egt_11_2015), 24, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 25, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 26, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 27, 0xFFFFFFFF},
	{EIF_GENERIC(egt_12_2015), 28, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06E3 /*881*/), 29, 0xFFFFFFFF},
	{EIF_GENERIC(egt_13_2015), 30, 0xFFFFFFFF},
	{EIF_GENERIC(egt_14_2015), -1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), -1, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), -1, 0xFFFFFFFF},
	{EIF_GENERIC(egt_15_2015), -1, 0xFFFFFFFF},
};
void Init2015(void)
{
	IDSC(desc_2015, 0, 2014);
	IDSC(desc_2015 + 1, 1, 2014);
	IDSC(desc_2015 + 32, 1449, 2014);
}


#ifdef __cplusplus
}
#endif
